<ion-header>

  <ion-navbar color="primary">
    <ion-title>Detail Pemesanan</ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
  <div class="divider">
    Data Konsumen
  </div>
    <ion-list>
      <ion-item>
        <ion-avatar item-start>
          <img src="{{dataPemohon ? dataPemohon.photo:''}}">
        </ion-avatar>
        <h2>Pemohon</h2>
        <p>{{dataPemohon ? dataPemohon.nama:''}}</p>
      </ion-item>
      <ion-item *ngIf="dataPendamping">
        <ion-avatar item-start>
          <img src="{{dataPendamping ? dataPendamping.photo:''}}">
        </ion-avatar>
        <h2>Pendamping</h2>
        <p>{{dataPendamping ? dataPendamping.nama:''}}</p>
      </ion-item>
    </ion-list>
  <div class="divider">
    Barang Pesanan
  </div>
  <ion-list>
    <div class="text-gray text-center" *ngIf="dataPesanan == false">
      <span>Tidak ada pesanan.</span>
    </div>
    <ion-item *ngFor="let data of (dataPesanan ? dataPesanan:[])">
      <ion-thumbnail item-start>
        <img [src]="data.thumbnail" />
      </ion-thumbnail>
      <h2>{{data.nama_barang}}</h2>
      <p>Dp: {{data.dp}}</p>
      <p>Cicilan: {{data.cicilan_nilai}}x{{data.cicilan_tenor}}</p>
      <button ion-button outline item-end (click)="hapusCart(data.id_cart)">Hapus</button>
    </ion-item>
  </ion-list>
  <div class="divider">
    Rincian Pesanan
  </div>
  <ion-list>
    <ion-item>
        Total Dp
      <span item-end>{{dataRincian ? dataRincian.total_dp:''}}</span>
    </ion-item>
    <ion-item>
        Total Kredit
      <span item-end>{{dataRincian ? dataRincian.total_kredit_bulan:''}}</span>
    </ion-item>
  </ion-list>
  <br>
  <br>
  <br>
</ion-content>
<div class="btn-groups" ion-fixed>
  <button class="btn btn-default" (click)="tambahPesanan()">Tambah Pesanan</button>
  <button *ngIf="dataPesanan == false" class="btn btn-default" style="color: gray">Lanjutkan</button>
  <button *ngIf="dataPesanan != false" class="btn btn-primary" (click)="ajukan()">Lanjutkan</button>
</div>